Skip to content

Deposit summary report

GET
/reports/deposit-summary
curl --request GET \
--url 'https://apisandbox.puurk.com/reports/deposit-summary?oid=example' \
--header 'Authorization: Bearer <token>'

Returns a deposit summary report

oid
required
string

Organization ID

start_date
string

Start date (YYYY-MM-DD)

end_date
string

End date (YYYY-MM-DD)

start_amount
integer

Minimum amount filter (cents)

end_amount
integer

Maximum amount filter (cents)

cursor
string

Pagination cursor

limit
integer

Number of results to return

Successful operation

Media typeapplication/json
object
data
Array<object>
object
pagination
object
limit

Page size used for this response

integer
hasMore

Whether more results are available

boolean
nextCursor

Cursor for the next page, null when no more results

string
nullable
Examplegenerated
{
"data": [
{}
],
"pagination": {
"limit": 1,
"hasMore": true,
"nextCursor": "example"
}
}

Unauthorized